import {
  defineComponent,
} from 'vue'
import { tools } from '@src/store/Modules/tools'
import { useQuasar } from 'quasar'
import { useI18n } from 'vue-i18n'

export default defineComponent({
  name: 'Logo',
  props: {
    mystyle: {
      type: String,
      required: false,
      default: '',
    },
  },

  setup() {
    const { t } = useI18n()
    
    function logoimg() {
      return `${tools.getimglogo()}`
    }

    function logoalt() {

      return t('ws.sitename')
    }

    return {
      logoimg,
      logoalt,
    }
  },
})
